% Sampling on x.
N = 16;
deltax = 2*pi/N;
x = deltax*[0:N-1];

% Discretization of function.
u = sin(x) + 2*cos(x-1) - 4*sin(2*x);

% Interpolate and derive u.
v = spectral_interp_deriv(u, 0.5*deltax);

% Plot results.
xx = [0:0.1:2*pi];
plot(x,u, '*', x + 0.5*deltax, v, 'o', ...
    xx, cos(xx) - 2*sin(xx-1)-8*cos(2*(xx)),'--');