eps = 1e-10;
for j = 1:20
	% Number of samples.
	N = j*2+1;
	
	% Sampling on x.
	deltax = 2*pi/N;
	x = deltax*[0:N-1];
	
	% Discretization of function.
	u = 1./(1+sin(x/2).^2);

	% Calculate derivative using spectral method.
	uprime = spectral_derivative(u);

	% Calculate the true derivative.
	actualuprime = -sin(x/2).*cos(x/2).*u.^2;

	% Get difference.
	dif(j) = norm(uprime - actualuprime);
	
	% Exponential function to be compared with difference.
	expon(j) = exp(-pi*(1-eps)/deltax);
end

% Plot results.
plot([1:20]*2+1,dif, '-o', [1:20]*2+1, expon, '--');
ylim([-0.01, 0.2])