clear;

% Space and time variations.
N = 128;
deltax = 2*pi/N;
x = deltax*[0:N-1];

deltat = 0.1;

% Wave speed.
c = 1e-5;

% Number of iterations.
niter = 80000;

% Test function.
%f = gaussian(1, 0, x);
f = sin(x);
%f = exp(-10*(x-3).^2);

% Solves the wave equation using spectral method.
%u = wave_spectral(c, f, niter, deltat);

% Solves the heat equation using spectral method.
u = kdv_spectral(c, f, niter, deltat);

%plot(x,f, x, spectral_derivative(f));

% Plot the result.
record_movie(x,u, -1.1, 1.1);
