clear;

% Wave speed.
c = 1.5

% Space and time variations.
deltax = 0.1;
deltat = 0.1;

sigma = c*deltat/deltax

% Number of iterations.
niter = 350;

% Values of x.
x = -10:deltax:50;

% Test function.
f = gaussian(2, 0, x);

% Solves the wave equation using upwind method.
u = semi_lagrangean(c, f, x, niter, deltat);

% Plot the result.
plotsamples = 1:20:niter;
plot(x,u(plotsamples, :));
ylim([-0.1; 0.3]);

record_movie(x,u, -0.1, 0.3);

