%clear;

% Space and time variations.
N = 128;
deltax = 2*pi/N;
x = deltax*[0:N-1];

deltat = 0.1;

% Test function.
f = 0.1*gaussian(0.1, pi, x);
f = sin(x);

% Wave speed.
c = 0.5*deltax/deltat;

% Number of iterations.
niter = 2000;

% Solves the wave equation using upwind method.
u = wave_upwind(c, f, x, 2*niter, deltat);

% Plot the result.
plotsamples = 100:120;

n = 100;
plot(x,u(n,:), x,sin(x-c*(n-1)*deltat), '--'); hold on

for n = 1:100:niter
 	plot(x,u(n,:), x,sin(x-c*(n-1)*deltat));
	axis([x(1), x(N), -1.1, 1.1]);
	M(n) = getframe;
end
