function u = semi_lagrangean(c, u0, x, niter, deltat)
    N = size(x,2);
    deltax = (x(N) - x(1))/(N-1);
    sigma = c*deltat/deltax;

    u = zeros(niter, N);
    u(1,:) = u0;

    k = (c*deltat)/deltax;
    dj2 = floor(k);
    dj1 = dj2+1;

    alpha = dj1-k;
   
    for n = 2:niter
        for j = 1:N
            if (j <= dj1)
                j1 = N+j-dj1-1;
            else
                j1 = j-dj1;
            end
                
            if (j <= dj2)
                j2 = N+j-dj2-1;
            else
                j2 = j-dj2;
            end
                
            u(n,j) = (1-alpha)*u(n-1,j1) + (alpha)*u(n-1,j2);
        end
    end
end